Subject: bug#21498: macos: `ps -ef | grep "test"` in eshell beeps

From: Stefan Kangas <[email-masked]>
Date: Fri, 26 Jul 2024 18:19:48 -0400

close 21498 30.1
thanks

Jim Porter <[email-masked]> writes:

> On 7/25/2024 6:36 AM, Stefan Kangas wrote:
>> I've tested this on Emacs 30 on mac OS 14.5, and the bug is still
>> present.  I now get this backtrace, however:
>>
>> Debugger entered--Lisp error: (void-function eshell-set-exit-info)
>>    eshell-set-exit-info(0 t)
>>    #f(compiled-function () #<bytecode 0x1cf599f366a88a85>)()
>>    eshell-sentinel(#<process grep> "finished\n")
>>
>> Copying in Jim Porter, in case he has any ideas.
>
> Is this in Emacs 30? 'eshell-set-exit-info' doesn't exist anywhere in
> Emacs 30 (it's new in 31). Is there something amiss in your build?

Hmm, it seems like there was indeed something amiss in my build.

I've retested the recipe on Emacs 30 and Emacs 31, and it works in both
versions.  So I believe this bug has been fixed, and I'm closing it now.

Thanks!